Index: palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII	(revision 2032)
+++ palm/trunk/SCRIPTS/.mrun.config.forwind_hlrnIII	(revision 2034)
@@ -60,9 +60,10 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
 %mopts               -j:4                                                              lccrayh parallel
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                                   lccrayh parallel
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic                          lccrayh parallel
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic                lccrayh parallel
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic       lccrayh parallel
 %remote_username     <replace_by_your_HLRN-III_username>                               lccrayh parallel
 %memory              2300                                                              lccrayh parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel                  lccrayh parallel
+%login_init_cmd      module:unload:cray-netcdf                                         lccrayh parallel
 #
 # HLRN-III Hannover debug/trace mode
@@ -73,9 +74,25 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel trace
 %mopts               -j:4                                                              lccrayh parallel trace
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp                            lccrayh parallel trace
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp                            lccrayh parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc                    lccrayh parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc                    lccrayh parallel trace
 %remote_username     <replace_by_your_HLRN-III_username>                               lccrayh parallel trace
 %memory              2300                                                              lccrayh parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel                  lccrayh parallel trace
+%login_init_cmd      module:unload:cray-netcdf                                         lccrayh parallel trace
+#
+# HLRN-III Hannover haswell
+%tmp_user_catalog    /gfs1/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel has
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel has
+%compiler_name       ftn                                                lccrayh parallel has
+%compiler_name_ser   ftn                                                lccrayh parallel has
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel has
+%feature             mpp2                                               lccrayh parallel has
+%mopts               -j:4                                               lccrayh parallel has
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic lccrayh parallel has
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic   lccrayh parallel has
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel has
+%memory              2300                                               lccrayh parallel has
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel:craype-haswell   lccrayh parallel has
+%login_init_cmd      module:unload:cray-netcdf:craype-ivybridge         lccrayh parallel has
 #
 # HLRN-III Berlin
@@ -86,9 +103,10 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel
 %mopts               -j:4                                                              lccrayb parallel
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                                   lccrayb parallel
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic                          lccrayb parallel
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic                lccrayb parallel
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic       lccrayb parallel
 %remote_username     <replace_by_your_HLRN-III_username>                               lccrayb parallel
 %memory              2300                                                              lccrayb parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel                  lccrayb parallel
+%login_init_cmd      module:unload:cray-netcdf                                         lccrayb parallel
 #
 # HLRN-III Berlin debug/trace mode
@@ -99,9 +117,10 @@
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel trace
 %mopts               -j:4                                                              lccrayb parallel trace
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp                            lccrayb parallel trace
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp                            lccrayb parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc                    lccrayb parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc                    lccrayb parallel trace
 %remote_username     <replace_by_your_HLRN-III_username>                               lccrayb parallel trace
 %memory              2300                                                              lccrayb parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel                  lccrayb parallel trace
+%login_init_cmd      module:unload:cray-netcdf                                         lccrayb parallel trace
 #
 %write_binary                true                             restart
@@ -111,4 +130,24 @@
 #----------------------------------------------------------------------------
 #IC:
+IC:[[ \$localhost = lccrayb ]]  &&  export ATP_ENABLED=1
+IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
+IC:[[ \$localhost = lccrayh ]]  &&  export ATP_ENABLED=1
+IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 #
 #----------------------------------------------------------------------------
@@ -116,5 +155,4 @@
 #----------------------------------------------------------------------------
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
 #
 #----------------------------------------------------------------------------
@@ -138,5 +176,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
-BININ                    in:loc:flpe   d3f:rec  $base_data/$fname/RESTART   _d3d
+BININ                    in:loc:flpe   d3f:rec:cycfill  $base_data/$fname/RESTART   _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART   _rprt
 DATA_1D_FL_NETCDF        in:locopt     flf      $output_data/$fname/OUTPUT  _fl     nc
Index: palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 2032)
+++ palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 2034)
@@ -33,83 +33,100 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel
 %compiler_name       ftn                                                lccrayh parallel
 %compiler_name_ser   ftn                                                lccrayh parallel
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
 %mopts               -j:4                                               lccrayh parallel
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic           lccrayh parallel
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic  lccrayh parallel
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel
 %memory              2300                                               lccrayh parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
-%login_init_cmd      module:swap:cray-mpich:cray-mpich/7.2.4            lccrayh parallel
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel trace
 %compiler_name       ftn                                                lccrayh parallel trace
 %compiler_name_ser   ftn                                                lccrayh parallel trace
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel trace
 %mopts               -j:4                                               lccrayh parallel trace
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayh parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayh parallel trace
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace
 %memory              2300                                               lccrayh parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel trace
+#
+# HLRN-III Hannover haswell
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel has
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel has
+%compiler_name       ftn                                                lccrayh parallel has
+%compiler_name_ser   ftn                                                lccrayh parallel has
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel has
+%feature             mpp2                                               lccrayh parallel has
+%mopts               -j:4                                               lccrayh parallel has
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic lccrayh parallel has
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic   lccrayh parallel has
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel has
+%memory              2300                                               lccrayh parallel has
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel:craype-haswell   lccrayh parallel has
+%login_init_cmd      module:unload:cray-netcdf:craype-ivybridge         lccrayh parallel has
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayb parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel
 %compiler_name       ftn                                                lccrayb parallel
 %compiler_name_ser   ftn                                                lccrayb parallel
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel
 %mopts               -j:4                                               lccrayb parallel
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayb parallel
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic           lccrayb parallel
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic  lccrayb parallel
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel
 %memory              2300                                               lccrayb parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel
-%login_init_cmd      module:swap:cce:cce/8.4.0.219:module:swap:cray-mpich:cray-mpich/7.2.4                lccrayb parallel
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayb parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel trace
 %compiler_name       ftn                                                lccrayb parallel trace
 %compiler_name_ser   ftn                                                lccrayb parallel trace
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel trace
 %mopts               -j:4                                               lccrayb parallel trace
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayb parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayb parallel trace
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace
 %memory              2300                                               lccrayb parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace
-#             
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel trace
+#
 %write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
 IC:[[ \$localhost = lccrayb ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
-IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_LIMITS=1
-IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_STACK_LIMIT=0
-IC:[[ \$localhost = lccrayb ]]  &&  ulimit -v unlimited
-IC:[[ \$localhost = lccrayb ]]  &&  ulimit -s unlimited
-IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
-IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_STATS=1
-IC:[[ \$localhost = lccrayb ]]  &&  E8="=8"
-IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 IC:[[ \$localhost = lccrayh ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
-IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_LIMITS=1
-IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_STACK_LIMIT=0
-IC:[[ \$localhost = lccrayh ]]  &&  ulimit -v unlimited
-IC:[[ \$localhost = lccrayh ]]  &&  ulimit -s unlimited
-IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
-IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_STATS=1
-IC:[[ \$localhost = lccrayh ]]  &&  E8="=8"
-IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 #
 #----------------------------------------------------------------------------
@@ -117,5 +134,4 @@
 #----------------------------------------------------------------------------
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
 #
 #----------------------------------------------------------------------------
@@ -139,5 +155,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+BININ                    in:loc:flpe   d3f:cycfill  $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
 DATA_1D_FL_NETCDF        in:locopt     flf      $base_data/$fname/OUTPUT   _fl     nc
@@ -170,17 +186,17 @@
 TURBINE_PARAMETERS04  out:loc:tr  d3#:d3f   $base_data/$fname/MONITORING  _turbine_parameters04
 #
-DATA_1D_FL_NETCDF    out:loc:tr   fl#:flf   $base_data/$fname/OUTPUT  _fl     nc
-DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
-DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
-DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
-DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
-DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
-DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
-DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
-DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
-DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
-DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
-DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_1D_FL_NETCDF    out:loc:tr   fl#:flf   $base_data/$fname/OUTPUT  _fl      nc
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr      nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp      nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts      nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts     nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy      nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av   nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz      nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av   nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz      nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av   nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d      nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av   nc
 DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
 DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
@@ -223,7 +239,7 @@
 DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
 DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
-DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 2032)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 2034)
@@ -53,56 +53,75 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel
 %compiler_name       ftn                                                lccrayh parallel
 %compiler_name_ser   ftn                                                lccrayh parallel
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
 %mopts               -j:4                                               lccrayh parallel
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic           lccrayh parallel
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic  lccrayh parallel
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel
 %memory              2300                                               lccrayh parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel trace
 %compiler_name       ftn                                                lccrayh parallel trace
 %compiler_name_ser   ftn                                                lccrayh parallel trace
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel trace
 %mopts               -j:4                                               lccrayh parallel trace
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayh parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayh parallel trace
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace
 %memory              2300                                               lccrayh parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel trace
+#
+# HLRN-III Hannover haswell
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel has
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel has
+%compiler_name       ftn                                                lccrayh parallel has
+%compiler_name_ser   ftn                                                lccrayh parallel has
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel has
+%feature             mpp2                                               lccrayh parallel has
+%mopts               -j:4                                               lccrayh parallel has
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic lccrayh parallel has
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic   lccrayh parallel has
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel has
+%memory              2300                                               lccrayh parallel has
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel:craype-haswell   lccrayh parallel has
+%login_init_cmd      module:unload:cray-netcdf:craype-ivybridge         lccrayh parallel has
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel
 %compiler_name       ftn                                                lccrayb parallel
 %compiler_name_ser   ftn                                                lccrayb parallel
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel
 %mopts               -j:4                                               lccrayb parallel
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayb parallel
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic           lccrayb parallel
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic  lccrayb parallel
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel
 %memory              2300                                               lccrayb parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel trace
 %compiler_name       ftn                                                lccrayb parallel trace
 %compiler_name_ser   ftn                                                lccrayb parallel trace
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel trace
 %mopts               -j:4                                               lccrayb parallel trace
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayb parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc     lccrayb parallel trace
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace
 %memory              2300                                               lccrayb parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace
-#
-%write_binary                true                             restart
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel trace
+#
+%write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
@@ -112,6 +131,22 @@
 IC:[[ \$localhost = lccrayb ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 IC:[[ \$localhost = lccrayh ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 #
 #----------------------------------------------------------------------------
@@ -119,5 +154,4 @@
 #----------------------------------------------------------------------------
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
 #
 #----------------------------------------------------------------------------
@@ -136,5 +170,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+BININ                    in:loc:flpe   d3f:cycfill  $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
 DATA_1D_FL_NETCDF        in:locopt     flf      $base_data/$fname/OUTPUT   _fl     nc
Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 2032)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII_rrtmg	(revision 2034)
@@ -53,56 +53,60 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel rrtmg
 %compiler_name       ftn                                                lccrayh parallel rrtmg
 %compiler_name_ser   ftn                                                lccrayh parallel rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayh parallel rrtmg
 %mopts               -j:4                                               lccrayh parallel rrtmg
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/include   lccrayh parallel rrtmg
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg           lccrayh parallel rrtmg
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/include              lccrayh parallel rrtmg
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg  lccrayh parallel rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel rrtmg
 %memory              2300                                               lccrayh parallel rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel rrtmg
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel rrtmg
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace_rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace_rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayh parallel trace_rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayh parallel trace_rrtmg
 %compiler_name       ftn                                                lccrayh parallel trace_rrtmg
 %compiler_name_ser   ftn                                                lccrayh parallel trace_rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayh parallel trace_rrtmg
 %mopts               -j:4                                               lccrayh parallel trace_rrtmg
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/include  lccrayh parallel trace_rrtmg
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayh parallel trace_rrtmg
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-I:/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/include  lccrayh parallel trace_rrtmg
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayh parallel trace_rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace_rrtmg
 %memory              2300                                               lccrayh parallel trace_rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace_rrtmg
+%login_init_cmd      module:unload:cray-netcdf                          lccrayh parallel trace_rrtmg
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayb parallel rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel rrtmg
 %compiler_name       ftn                                                lccrayb parallel rrtmg
 %compiler_name_ser   ftn                                                lccrayb parallel rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayb parallel rrtmg
 %mopts               -j:4                                               lccrayb parallel rrtmg
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/shared/include  lccrayb parallel rrtmg
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg           lccrayb parallel rrtmg
+%fopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/shared/include              lccrayb parallel rrtmg
+%lopts               -em:-K:trap=fp:-O3:-hnoomp:-hnoacc:-hfp3:-hdynamic:-dynamic:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/shared/lib:-lrrtmg  lccrayb parallel rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel rrtmg
 %memory              2300                                               lccrayb parallel rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel rrtmg
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel rrtmg
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace_rrtmg
-%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace_rrtmg
+%tmp_user_catalog    /gfs2/tmp/<replace_by_your_HLRN-III_username>      lccrayb parallel trace_rrtmg
+%tmp_data_catalog    /gfs2/work/<replace_by_your_HLRN-III_username>/palm_restart_data     lccrayb parallel trace_rrtmg
 %compiler_name       ftn                                                lccrayb parallel trace_rrtmg
 %compiler_name_ser   ftn                                                lccrayb parallel trace_rrtmg
 %cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw:-D__rrtmg   lccrayb parallel trace_rrtmg
 %mopts               -j:4                                               lccrayb parallel trace_rrtmg
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/static_trace/include   lccrayb parallel trace_rrtmg
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayb parallel trace_rrtmg
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-I:/home/b/<replace_by_your_HLRN_username>/rrtmg/static_trace/include   lccrayb parallel trace_rrtmg
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp:-hnoacc:-L/home/h/<replace_by_your_HLRN_username>/rrtmg/static_trace/lib:-lrrtmg             lccrayb parallel trace_rrtmg
 %remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace_rrtmg
 %memory              2300                                               lccrayb parallel trace_rrtmg
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace_rrtmg
-#
-%write_binary                true                             restart
+%login_init_cmd      module:unload:cray-netcdf                          lccrayb parallel trace_rrtmg
+#
+%write_binary        true                             restart
 #
 #----------------------------------------------------------------------------
@@ -112,6 +116,22 @@
 IC:[[ \$localhost = lccrayb ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayb ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayb ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 IC:[[ \$localhost = lccrayh ]]  &&  export ATP_ENABLED=1
 IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_LIMITS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export APRUN_XFER_STACK_LIMIT=0
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -v unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  ulimit -s unlimited
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS_DISPLAY=1
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_STATS=1
+#IC:[[ \$localhost = lccrayh ]]  &&  E8="=8"
+#IC:[[ \$localhost = lccrayh ]]  &&  export MPICH_MPIIO_HINTS="*DATA_**:striping_factor"\$E8
 #
 #----------------------------------------------------------------------------
@@ -119,5 +139,4 @@
 #----------------------------------------------------------------------------
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:pwd; ls -al
 #
 #----------------------------------------------------------------------------
@@ -139,5 +158,5 @@
 LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
 WTM_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _wtm
-BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+BININ                    in:loc:flpe   d3f:cycfill  $base_data/$fname/RESTART  _d3d
 PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
 DATA_1D_FL_NETCDF        in:locopt     flf      $base_data/$fname/OUTPUT   _fl     nc
